From 8bc83389f1e735660ea6653e54944957ac70bb4c Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Dec 18 2020 20:54:47 +0000
Subject: [PATCH 1745/2232] Add String c_str test


---

diff --git a/tests/ffi/tests.cc b/tests/ffi/tests.cc
index eeca98a..ca2bb6a 100644
--- a/tests/ffi/tests.cc
+++ b/tests/ffi/tests.cc
@@ -716,6 +716,12 @@ extern "C" const char *cxx_run_test() noexcept {
     ASSERT((second.*cmp)(sec) == second_sec);
   }
 
+  rust::String cstring = "test";
+  ASSERT(cstring.length() == 4);
+  ASSERT(strncmp(cstring.data(), "test", 4) == 0);
+  ASSERT(strncmp(cstring.c_str(), "test", 5) == 0);
+  ASSERT(cstring.length() == 4);
+
   cxx_test_suite_set_correct();
   return nullptr;
 }

